﻿@*<div class="row col-xs-12 no-offset">*@
<div class="">
    <br />
    <div id="login">
        @*class="bg-image img-responsive"*@
        <div ng-controller="loginController as vm">
            <form name="loginForm">
                <div class="row">
                    <div class="col-xs-1 col-lg-1">
                    </div>
                    <div class="col-xs-6 col-lg-6">
                        <label style="font-size: 30px; color: #FFFFFF;"><b style="color: #FF6505;">D</b>istribution</label>&nbsp;
                        <label style="font-size: 30px; color: #FFFFFF;"><b style="color: #FF6505;">M</b>anagement</label>&nbsp;
                        <label style="font-size: 30px; color: #FFFFFF;"><b style="color: #FF6505;">S</b>ystem</label>
                    </div>
                    <div class="col-xs-5 col-lg-5">
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-1 col-lg-1">
                    </div>
                    <div class="col-xs-3 col-lg-3">
                        <div class="">
                            <div class="my-panel-body ">

                                @*-------- User--------*@
                                <div ng-class="{ 'has-error': loginForm.Username.$touched && loginForm.Username.$invalid }">
                                    <div class="control-label col-xs-1" style="padding-left: 0px;">
                                        <label id="lblCode" class="my-label-login">User</label>
                                    </div>
                                    <div class="input-group form-group" style="width: 100%;">
                                        @*<input type="text" ng-model="loginData.userName" class="form-control" placeholder="User">*@
                                        <input class="form-control txtInput" type="text" ng-model="loginData.userName" name="Username" required placeholder="User" maxlength="50" /> @*ng-disabled="true"*@
                                    </div>
                                    <div class="help-block-login" ng-messages="loginForm.Username.$error" ng-if="loginForm.Username.$touched">
                                        <p ng-message="maxlength">Your Username is too long.</p>
                                        <p ng-message="required">Your Username is required.</p>
                                    </div>
                                </div>
                                <div ng-class="{ 'has-error': loginForm.password.$touched && loginForm.password.$invalid }">
                                    @*-------- Password--------*@
                                    <div class="control-label col-xs-1" style="padding-left: 0px;">
                                        <label id="lblCode" class="my-label-login">Password</label>
                                    </div>
                                    <div class="input-group form-group" style="width: 100%;">
                                        @*<input type="password" ng-model="loginData.password" class="form-control" placeholder="Password">*@
                                        <input class="form-control txtInput" type="password" ng-model="loginData.password" required name="password" maxlength="50" placeholder="Password" />
                                    </div>
                                    <div class="help-block-login" ng-messages="loginForm.password.$error" ng-if="loginForm.password.$touched">
                                        <p ng-message="maxlength">Your Password is too long.</p>
                                        <p ng-message="required">Your Password is required.</p>
                                    </div>
                                </div>
                                <div ng-class="{ 'has-error': loginForm.enterpriseid.$touched && loginForm.enterpriseid.$invalid }">
                                    @*-------- Enterprise--------*@
                                    <div class="control-label col-xs-1" style="padding-left: 0px;">
                                        <label id="lblCode" class="my-label-login">Enterprise</label>
                                    </div>
                                    <div class="input-group form-group" style="width: 100%; margin-bottom: 0px;">
                                        @*<input type="text" ng-model="loginData.enterpriseid" class="form-control" placeholder="Enterprise ID">*@
                                        <input class="form-control txtInput" type="text" ng-model="loginData.enterpriseid" required name="enterpriseid" maxlength="50" placeholder="Enterprise ID" />
                                    </div>
                                    <div class="help-block-login" ng-messages="loginForm.enterpriseid.$error" ng-if="loginForm.enterpriseid.$touched">
                                        <p ng-message="maxlength">Your Password is too long.</p>
                                        <p ng-message="required">Your Password is required.</p>
                                    </div>
                                </div>
                                <div class="help-block-login" ng-if="messageError != null">
                                    <p>{{ messageError}}</p>
                                </div>
                                </br>
                                <div class="col-xs-12">
                                    <button id="btnCreate" type="submit" class="btn my-btn-login" ng-click="vm.login()" data-ng-disabled="loginForm.$invalid" ng-enter="vm.login()" ng-keypress="($event.which === 13)?vm.login():0">LOG IN</button>
                                </div>
                            </div>
                        </div>
                        <div class="col-cs-12 col-lg-12" style="padding-left: 0px; padding-right: 0px;">
                            <div class="col-xs-6" style="padding: 15px 0px 15px 0px;">
                                <a class="cursor-pointer" style="color: #FFF; padding: 15px 0px 15px 0px;"><u></u></a>
                            </div>
                            <div class="col-xs-6" style="padding-right: 0px;">
                                @*<input id="btnCreate" type="button" class="btn my-btn-login" value="LOG IN" ng-click="vm.login()" data-ng-disabled="loginForm.$invalid" ng-enter="vm.login()" ng-keypress="($event.which === 13)?vm.login():0">*@


                                @*<button id="btnCreate" type="submit" class="btn my-btn-login" ng-click="vm.login()" data-ng-disabled="loginForm.$invalid" ng-enter="vm.login()" ng-keypress="($event.which === 13)?vm.login():0">LOG IN</button>*@

                            </div>

                        </div>
                    </div>
                    <div class="col-xs-8 col-lg-8">
                    </div>
                    <div class="col-xs-12 col-lg-12" style="height: 13vw; padding: 0px;">
                    </div>

                </div>
            </form>
        </div>
    </div>
</div>